Page MenuHomePhabricator

Perf: Don't include geojson with page unless used by <mapframe>
Closed, ResolvedPublic

Description

wgKartographerLiveData should be set only to the data that is needed by interactive <mapframe> maps. The <maplink> and the non-interactive <mapframe> should use api to get the data, just like Graph extension.

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterData API
mediawiki/extensions/Kartographer : masterDon't export uneeded geometries into page

Event Timeline

Yurik created this task.Mar 6 2016, 1:55 AM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 6 2016, 1:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik triaged this task as Low priority.Mar 6 2016, 1:55 AM
Yurik moved this task from Unsorted to General on the Maps (Kartographer) board.

Change 278026 had a related patch set uploaded (by MaxSem):
Don't export uneeded geometries into page

https://gerrit.wikimedia.org/r/278026

MaxSem claimed this task.Mar 17 2016, 4:50 PM

Change 278026 merged by jenkins-bot:
Don't export uneeded geometries into page

https://gerrit.wikimedia.org/r/278026

MaxSem closed this task as Resolved.Mar 18 2016, 9:05 PM
MaxSem reopened this task as Open.Mar 28 2016, 7:45 PM

Got reverted.

Change 280364 had a related patch set uploaded (by MaxSem):
WIP: data API

https://gerrit.wikimedia.org/r/280364

Change 280364 merged by jenkins-bot:
Data API

https://gerrit.wikimedia.org/r/280364

Yurik closed this task as Resolved.Apr 7 2016, 9:28 PM